Merge "Make sure non-fatal errors aren't printed."
diff --git a/test/etc/run-test-jar b/test/etc/run-test-jar
index d13d990..ac6ef8c 100755
--- a/test/etc/run-test-jar
+++ b/test/etc/run-test-jar
@@ -358,7 +358,7 @@
         # in 512 byte blocks and set it as the ulimit. This should be more than enough
         # room.
         if [ ! `uname` = "Darwin" ]; then  # TODO: Darwin doesn't support "du -B..."
-          ulimit -S $(du -c -B512 ${ANDROID_HOST_OUT}/framework | tail -1 | cut -f1) || exit 1
+          ulimit -S $(du -c -B512 ${ANDROID_HOST_OUT}/framework 2>/dev/null | tail -1 | cut -f1) || exit 1
         fi
     fi
 else